List

Returns a list of all merchant's products that are autoship enabled and not discontinued.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

Name

Type

Description

Example

merchant

string

Merchant ID

"ac4f7938383a11e89ecbbc764e1107f2"

groups

array

Array of group objects

[
  {
    "group_type": "foo",
    "name": "bar"
  }
]

name

string

Product name

"test"

price

string

Product price

"12.99"

image_url

string

Product image URL

"ordergroove.com/product/product_id"

detail_url

string

Product detail image URL

"ordergroove.com/product/product_id"

external_product_id

string

Merchant product ID

"62900-W01"

sku

string

Product SKU

"123456789"

autoship_enabled

boolean

Autoship option enabled for product: enabled = true

false

prepaid_eligible

boolean

Product prepaid eligibility

true

premier_enabled

integer

Deprecated

created

string

Date of product creation

"2017-02-29 12:00:00"

last_update

string

Date of last product update

"09/3099"

live

boolean

Account status: active = True

True

discontinued

boolean

Product status:
discontinued = True

False

extra_data

string

Raw JSON string that should be JSON.parse() as key/value store for any extra information.

"{\"some\": \"extra\", \"fields\": \"here\"}"

product_type

string

Product type

"standard"

autoship_by_default

boolean

true

every

integer

Number of periods

30

every_period

integer

Type of period

1

offer_profile

string

Offer profile associated with product

"OfferProfileId"

incentive_group

string


When the query param ?include_product_selection_rules=true is provided for a rotating product we will return all the selection rule configurations:

[
   {
      "public_id":"e1a61e620ed411ef8740767250df1ed7",
      "selection_rule_type":"TIME_WINDOW",
      "product_selection_list_elements":[
         {
            "public_id":"e1a626000ed411ef8740767250df1ed7",
            "product":"48398751432995",
            "starting_date":"2024-05-01T00:00:00Z"
         },
         {
            "public_id":"e1a62b140ed411ef8740767250df1ed7",
            "product":"48398752317731",
            "starting_date":"2024-06-01T00:00:00Z"
         },
         {
            "public_id":"e1a62fe20ed411ef8740767250df1ed7",
            "product":"48398760149283",
            "starting_date":"2024-07-01T00:00:00Z"
         }
      ],
      "configuration": {
            "reveal_moment": "ORDER_PLACEMENT",
            "pricing_policy": "BEST_PRICE"
        }
   }
]
[
   {
      "public_id":"e1a61e620ed411ef8740767250df1ed7",
      "selection_rule_type":"ORDINAL",
      "product_selection_list_elements":[
         {
            "public_id":"e1a626000ed411ef8740767250df1ed7",
            "product":"48398751432995",
            "starting_ordinal":"0"
         },
         {
            "public_id":"e1a62b140ed411ef8740767250df1ed7",
            "product":"48398752317731",
            "starting_ordinal":"1"
         },
         {
            "public_id":"e1a62fe20ed411ef8740767250df1ed7",
            "product":"48398760149283",
            "starting_ordinal":"4"
         }
      ],
      "configuration": {
            "reveal_moment": "ORDER_PLACEMENT",
            "cyclical_rotation_enabled": false,
            "pricing_policy": "BEST_PRICE"
        }
   }
]

When the query param ?include_product_resource_grants=true is provided for a rotating product we will return all plan_product configuration:

[
   {
       "resource": "c84a13fc8e904e0f80e6377b15f0464a",
       "product": "53485191069987",
       "public_id": "c0de05637e6e4828b8dc60cf1dc7af6f",
       "time_amount": 2592000,
       "grace_period": 86400,
       "created": "2025-05-28 13:56:05",
       "last_updated": "2025-05-29 16:46:20"
   },
   {
       "resource": "DSHUIGsgshuigsg80e89gffgh977758",
       "product": "53485191069987",
       "public_id": "7o8gh87fsf7dh87dhd7d988006ajjklf",
       "time_amount": 2592000,
       "grace_period": null,
       "created": "2025-05-28 13:56:05",
       "last_updated": "2025-06-09 20:12:43"
    }
]

When the query param ?include_product_free_trials=true is provided,
a new field product_free_trial_configurations will be included in each product in the response.
This field lists the free trial configurations associated with the product.
If there are no free trial configurations for a given product, an empty array will be returned:

[
   {
       "public_id": "9dcad53bf6b4446f873d5336e0e390b3",
       "duration_in_days": 15,
       "created": "2025-05-28 13:56:05",
       "last_updated": "2025-05-29 16:46:20"
   }
]
Query Params
string

A single string value used to search for products. The value in this parameter will be matched against product’s name, sku, or external_product_id, depending on the field specified in the "fields" parameter. e.g. /products?search=12345&fields=sku

string

Specifies which field (name, sku, or external_product_id) the "search" parameter value should be matched against. name – Matches the search value against the product’s name. sku – Matches the search value against the product’s SKU. external_product_id – Matches the search value against the product’s external product ID. e.g. /products?search=12345&fields=sku

string

Case insensitive partial match for Product ID or Name

string

By default the endpoint will only return products that are autoship enabled, but you can change the behavior by passing "all" to return all products regardless of their autoship status. You can also pass "false" to only return products that are NOT autoship enabled

string

By default the endpoint returns non-discontinued products, but you can change the behavior by passing "true" to also include discontinued products. You can also pass "strict" to only list the discontinued products

string

Product group's name

string

Product group's type

boolean
boolean

Account status: active = True

string

Product ID (could be passed multiple times in the query string to match multiple products). Note there is "[]" at the end of this field that is required

string
enum

Product Type

Allowed:
boolean
Defaults to false

For rotating products this param returns a product_selection_rules list with all selection_list_elements

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json